﻿figuresDrawer = new function () {
    //config
    var figuresContainerId = 'figures_container'
    var figuresContainderHtml = '<section id="' + figuresContainerId + '"></section>';

    var initialized = false;

    function init() {
        if (!initialized) {
            $('body').append(figuresContainderHtml);
            initialized = true;
        }
        destroyAllFigures();
    }

    function destroyAllFigures() {
        $('div.ui-dialog,canvas').remove(); //delete all existing dialogs with figures
    }

    this.draw = function (figures) {
        init();
        var figure_container = this.getFiguresContainer();
        for (var handle in figures) {
            var figureData = figures[handle];
            var canvasId = figuresConfig.partialCanvasId + handle;
            if (figureData.Type === 'line') {
                figures2d.drawOne(canvasId, figureData);
            }
        }
    }

    this.getFiguresContainer = function () {
        return $('#' + figuresContainerId);
    }
}